IF OBJECT_ID('[ScheduledTasks_Extended]') IS NOT NULL DROP VIEW [ScheduledTasks_Extended]
GO

CREATE VIEW [ScheduledTasks_Extended]
AS
	SELECT ST.[ScheduledTask_Id],
	       ST.[ScheduledTaskType_Code],
		   ST.[Feed_Id],
		   F.[Feed_Name],
		   [FeedType_Name] = COALESCE(F.[FeedType_Name], C.[FeedType_Name]),
		   ST.[Connector_Id],
		   C.[Connector_Url],
		   C.[Connector_Name],
		   [Connector_FeedType_Name] = C.[FeedType_Name],
		   ST.[CronExpression_Text],
		   ST.[Active_Indicator],
		   [Feed_Active_Indicator] = F.[Active_Indicator],
		   [LastExecution_Status_Code] = E.[ExecutionStatus_Code],
		   [LastExecution_RunState_Code] = E.[ExecutionRunState_Code],
		   [LastExecution_Id] = E.[Execution_Id],
		   [LastExecution_Start_Date] = E.[Start_Date]

	  FROM [ScheduledTasks] ST
	       LEFT JOIN [Feeds] F
		          ON F.[Feed_Id] = ST.[Feed_Id]
		   LEFT JOIN [Connectors] C
		          ON C.[Connector_Id] = ST.[Connector_Id]
		   LEFT JOIN (SELECT [Execution_Id] = MAX([Execution_Id]),
		                     [ScheduledTask_Id]
		                FROM [Executions]
					   GROUP BY [ScheduledTask_Id]) E_Latest
				  ON E_Latest.[ScheduledTask_Id] = ST.[ScheduledTask_Id]
		   LEFT JOIN [Executions] E
		          ON E.[Execution_Id] = E_Latest.[Execution_Id]

GO