EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'HelmCharts_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count for a Helm chart.'
GO

IF OBJECT_ID('[HelmCharts_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [HelmCharts_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [HelmCharts_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Chart_Name VARCHAR(200),
	@Version_Text VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [HelmCharts]
	   SET [Download_Count] = [Download_Count] + 1,
	       [LastDownloaded_Date] = GETUTCDATE()
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Chart_Name] = @Chart_Name
	   AND [Version_Text] = @Version_Text

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [HelmCharts_IncrementDownloadCount] TO [ProGetUser_Role]
GO