IF OBJECT_ID('[Vulnerabilities_Extended]') IS NOT NULL DROP VIEW [Vulnerabilities_Extended]
GO

CREATE VIEW [Vulnerabilities_Extended]
AS
	SELECT V.*,
		   AT.[AssessmentType_Name],
		   AT.[BlockDownload_Indicator],
		   AT.[Expiration_Days],
		   AT.[Severity_Code],
		   AT.[Custom_Color],
		   [ExpiresOn_Date] = DATEADD(day, AT.[Expiration_Days], V.[Assessment_Date]),
		   VS.[VulnerabilitySource_Name]
	  FROM [Vulnerabilities] V
		   LEFT JOIN [AssessmentTypes] AT
		          ON AT.[AssessmentType_Id] = V.[AssessmentType_Id]
		  INNER JOIN [VulnerabilitySources] VS
		          ON VS.VulnerabilitySource_Id = V.[VulnerabilitySource_Id]

GO