EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerabilitiesByFeed',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets information about the vulnerabilities in a feed.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerabilitiesByFeed]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerabilitiesByFeed]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerabilitiesByFeed]
(
	@Feed_Id INT,
	@AssessmentType_Id INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT 
		V.*      
      FROM [Vulnerabilities_Extended] V
      INNER JOIN [FeedVulnerabilitySources] FVS 
              ON V.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]
	   WHERE ( (@AssessmentType_Id  IS NULL AND V.[AssessmentType_Id] IS NULL) OR (@AssessmentType_Id  IS NOT NULL AND V.[AssessmentType_Id] = @AssessmentType_Id)) AND FVS.[Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerabilitiesByFeed] TO [ProGetUser_Role]
GO