EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerabilitiesForDockerRepository',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the vulnerabilties for a container repository.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerabilitiesForDockerRepository]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerabilitiesForDockerRepository]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerabilitiesForDockerRepository]
(
	@Feed_Id INT,
	@DockerRepository_Id int
)
AS
BEGIN

SET NOCOUNT ON

	SELECT DISTINCT V.*
	  FROM [FeedVulnerabilitySources] FVS
	       INNER JOIN [Vulnerabilities_Extended] V
		           ON V.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]   
			INNER JOIN [DockerImageLayers_Extended] DIL
				ON DIL.[Blob_Digest] = v.[Blob_Digest]
	 WHERE DIL.[DockerRepository_Id] = @DockerRepository_Id and FVS.[Feed_Id] = @Feed_Id
	 ORDER BY V.Title_Text

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerabilitiesForDockerRepository] TO [ProGetUser_Role]
GO